# SOCKS5 Client #

SOCKS v5 client socket implementation in JavaScript for Node.js.

Original code forked from [node-socksified](https://github.com/vially/node-socksified).

## Usage ##

Look at [socks5-http-client](https://github.com/mattcg/socks5-http-client) or [socks5-https-client](https://github.com/mattcg/socks5-https-client) for an example.

## License ##

Copyright © 2012 [Matthew Caruana Galizia](http://twitter.com/mcaruanagalizia), licensed under an [MIT license](http://mattcg.mit-license.org/).

Portions of this code are copyright (c) 2011 Valentin Háloiu, redistributed and modified under an [MIT license](https://github.com/vially/node-socksified/blob/master/LICENSE).
